Debian Bug report logs - #687249
debian-installer: Missing time zone region

version graph

Package: localechooser; Maintainer for localechooser is Debian Install System Team <debian-boot@lists.debian.org>; Source for localechooser is src:localechooser.

Reported by: dagrut <dagrut@yahoo.fr>

Date: Tue, 11 Sep 2012 07:33:05 UTC

Severity: normal

Fixed in version localechooser/2.46

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#687249; Package debian-installer. (Tue, 11 Sep 2012 07:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to dagrut <dagrut@yahoo.fr>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 11 Sep 2012 07:33:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: dagrut <dagrut@yahoo.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: Missing time zone region
Date: Tue, 11 Sep 2012 11:30:05 +0400
Package: debian-installer
Severity: normal

Dear Maintainer,

The "Reunion island" time zone is missing in the "Indian Ocean" section.
After the installation, dpkg-reconfigure tzdata fixed it.


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#687249; Package debian-installer. (Tue, 11 Sep 2012 17:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to 687249@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 11 Sep 2012 17:45:06 GMT) Full text and rfc822 format available.

Message #10 received at 687249@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: dagrut <dagrut@yahoo.fr>, 687249@bugs.debian.org
Subject: Re: Bug#687249: debian-installer: Missing time zone region
Date: Tue, 11 Sep 2012 18:41:27 +0200
[Message part 1 (text/plain, inline)]
Quoting dagrut (dagrut@yahoo.fr):
> Package: debian-installer
> Severity: normal
> 
> Dear Maintainer,
> 
> The "Reunion island" time zone is missing in the "Indian Ocean" section.
> After the installation, dpkg-reconfigure tzdata fixed it.


Please be more specific. There is no place where one chooses Reunion
as a *time zone*.

Localechooser allows choosing it as "Country, territory or area:"
after choosing the language, at the very beginning of the installation
process. 

Is that what you did choose? First pick French, then pich "Autre" when
prompted for a country.

If so, Reunion *should* appear in "Indian
Ocean". Choosing Reunion there should set the timezone as
"Indian/Reunion" later on (indeed without any question asked about
*time zone*).

So, I don't really understand the meaning of your report.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#687249; Package debian-installer. (Wed, 12 Sep 2012 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to FERRINO Maxime <dagrut@yahoo.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 12 Sep 2012 08:21:03 GMT) Full text and rfc822 format available.

Message #15 received at 687249@bugs.debian.org (full text, mbox):

From: FERRINO Maxime <dagrut@yahoo.fr>
To: 687249@bugs.debian.org
Subject: Re: Bug#687249: debian-installer: Missing time zone region
Date: Wed, 12 Sep 2012 12:17:20 +0400
[Message part 1 (text/plain, inline)]
I'm sorry, I thought it was the time zone.

I just tried it again in Virtualbox with an iso image I just downloaded (DVD1, 
here : http://cdimage.debian.org/cdimage/weekly-builds/amd64/iso-dvd/). I tried 
to pick other languages than French, but I had the same problem : After picking 
"Other" and then "Indian Ocean", "Reunion" is not in the list.

I attached a screenshot showing it.

Le 11/09/2012 20:41, Christian PERRIER a écrit :
> Quoting dagrut (dagrut@yahoo.fr):
>> Package: debian-installer
>> Severity: normal
>>
>> Dear Maintainer,
>>
>> The "Reunion island" time zone is missing in the "Indian Ocean" section.
>> After the installation, dpkg-reconfigure tzdata fixed it.
>
>
> Please be more specific. There is no place where one chooses Reunion
> as a *time zone*.
>
> Localechooser allows choosing it as "Country, territory or area:"
> after choosing the language, at the very beginning of the installation
> process.
>
> Is that what you did choose? First pick French, then pich "Autre" when
> prompted for a country.
>
> If so, Reunion *should* appear in "Indian
> Ocean". Choosing Reunion there should set the timezone as
> "Indian/Reunion" later on (indeed without any question asked about
> *time zone*).
>
> So, I don't really understand the meaning of your report.
>

[screenshot_12092012-09:24:19.png (image/png, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#687249; Package debian-installer. (Wed, 12 Sep 2012 08:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 12 Sep 2012 08:33:03 GMT) Full text and rfc822 format available.

Message #20 received at 687249@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: FERRINO Maxime <dagrut@yahoo.fr>, 687249@bugs.debian.org
Subject: Re: Bug#687249: debian-installer: Missing time zone region
Date: Wed, 12 Sep 2012 10:31:21 +0200
FERRINO Maxime, le Wed 12 Sep 2012 12:17:20 +0400, a écrit :
> I just tried it again in Virtualbox with an iso image I just downloaded
> (DVD1, here :
> http://cdimage.debian.org/cdimage/weekly-builds/amd64/iso-dvd/). I tried to
> pick other languages than French, but I had the same problem : After picking
> "Other" and then "Indian Ocean", "Reunion" is not in the list.

It seems RE is missing from
localechooser/debian/templates
isn't it? It seems nothing in the source code tells that it is in the
Indian Ocean.

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#687249; Package debian-installer. (Wed, 12 Sep 2012 17:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 12 Sep 2012 17:15:07 GMT) Full text and rfc822 format available.

Message #25 received at 687249@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 687249@bugs.debian.org
Cc: FERRINO Maxime <dagrut@yahoo.fr>
Subject: Re: Bug#687249: debian-installer: Missing time zone region
Date: Wed, 12 Sep 2012 19:11:21 +0200
[Message part 1 (text/plain, inline)]
Quoting Samuel Thibault (sthibault@debian.org):
> FERRINO Maxime, le Wed 12 Sep 2012 12:17:20 +0400, a écrit :
> > I just tried it again in Virtualbox with an iso image I just downloaded
> > (DVD1, here :
> > http://cdimage.debian.org/cdimage/weekly-builds/amd64/iso-dvd/). I tried to
> > pick other languages than French, but I had the same problem : After picking
> > "Other" and then "Indian Ocean", "Reunion" is not in the list.
> 
> It seems RE is missing from
> localechooser/debian/templates
> isn't it? It seems nothing in the source code tells that it is in the
> Indian Ocean.


regionmap, in localechooser's top directory should:

.../...
FR	Europe
.../...
CC	Indian Ocean
CX	Indian Ocean
TF	Indian Ocean
HM	Indian Ocean
IO	Indian Ocean
KM	Indian Ocean
MG	Indian Ocean
MU	Indian Ocean
MV	Indian Ocean
RE	Indian Ocean
SC	Indian Ocean
YT	Indian Ocean
.../...


This file is used by the mktemplates.continent script to build
templates at package build time.

And....I think I know what's happening.  Look at this code in mktemplates.continent:


open (L, $iso3166tab) || die "$iso3166tab: $!";
while (<L>) {
	chomp;
	my ($code, $country) = split(' ', $_, 2);
	# Bubulle 5/25/2004 We should find a way to avoid enforcing ASCII here
	if ($country !~ /^[-_A-Za-z0-9 !@#$%^&Z*()-_+={};:'",.<>?|]+$/) {
		print STDERR "I: skipping country $country; not ASCII\n";
		next;
	}

	# Escape commas
	$country =~ s/,/\\,/g;
	$code2country{$code}=$country;
	$country2code{$country}=$code;
	$codes_listed{$code}=0;
}

I'm afraid that, when localechooser is built, we drop all countries
that have non ASCII characters in their *English* name in ISO-3166.

And, guess what:

        <iso_3166_entry
                alpha_2_code="RE"
                alpha_3_code="REU"
                numeric_code="638"
                name="Réunion" />

If I'm correct, we should also be missing:

        <iso_3166_entry
                alpha_2_code="BL"
                alpha_3_code="BLM"
                numeric_code="652"
                name="Saint Barthélemy" />

(it should be in Caribbean)

Probably the same for Åland Island, etc.

Frankly speaking, I have no idea why, in 2004, we decided to drop
choices with non ASCII characters. I guess this is because of some
limitation of debconf or po-debconf at that time. Or maybe because we
have interfaces where only "pure" ASCII is possible.

We need someone to test-builta D-I image with localechooser having
this filtering commented....and check what happens..:)



[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#687249; Package debian-installer. (Sun, 16 Sep 2012 22:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 16 Sep 2012 22:51:03 GMT) Full text and rfc822 format available.

Message #30 received at 687249@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Christian PERRIER <bubulle@debian.org>, 687249@bugs.debian.org
Cc: FERRINO Maxime <dagrut@yahoo.fr>
Subject: Re: Bug#687249: debian-installer: Missing time zone region
Date: Mon, 17 Sep 2012 00:47:53 +0200
Control: reassign 687249 localechooser
Control: tags 687249 + pending

Christian PERRIER, le Wed 12 Sep 2012 19:11:21 +0200, a écrit :
> 	# Bubulle 5/25/2004 We should find a way to avoid enforcing ASCII here
> 	if ($country !~ /^[-_A-Za-z0-9 !@#$%^&Z*()-_+={};:'",.<>?|]+$/) {
> 		print STDERR "I: skipping country $country; not ASCII\n";
> 		next;
> 	}
...
> Frankly speaking, I have no idea why, in 2004, we decided to drop
> choices with non ASCII characters. I guess this is because of some
> limitation of debconf or po-debconf at that time. Or maybe because we
> have interfaces where only "pure" ASCII is possible.

I guess gettext was perhaps just not ready for UTF-8 at the time? I had
to add [encoding: UTF-8] in the po template, and then it worked fine.

Samuel



Bug reassigned from package 'debian-installer' to 'localechooser'. Request was from Samuel Thibault <sthibault@debian.org> to 687249-submit@bugs.debian.org. (Sun, 16 Sep 2012 22:51:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Samuel Thibault <sthibault@debian.org> to 687249-submit@bugs.debian.org. (Sun, 16 Sep 2012 22:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#687249; Package localechooser. (Mon, 17 Sep 2012 05:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 17 Sep 2012 05:51:03 GMT) Full text and rfc822 format available.

Message #39 received at 687249@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 687249@bugs.debian.org
Cc: FERRINO Maxime <dagrut@yahoo.fr>
Subject: Re: Bug#687249: debian-installer: Missing time zone region
Date: Mon, 17 Sep 2012 07:11:12 +0200
[Message part 1 (text/plain, inline)]
Quoting Samuel Thibault (sthibault@debian.org):

> > Frankly speaking, I have no idea why, in 2004, we decided to drop
> > choices with non ASCII characters. I guess this is because of some
> > limitation of debconf or po-debconf at that time. Or maybe because we
> > have interfaces where only "pure" ASCII is possible.
> 
> I guess gettext was perhaps just not ready for UTF-8 at the time? I had
> to add [encoding: UTF-8] in the po template, and then it worked fine.


Nice catch. I'm preparign an upload.


[signature.asc (application/pgp-signature, inline)]

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Mon, 17 Sep 2012 05:51:08 GMT) Full text and rfc822 format available.

Notification sent to dagrut <dagrut@yahoo.fr>:
Bug acknowledged by developer. (Mon, 17 Sep 2012 05:51:08 GMT) Full text and rfc822 format available.

Message #44 received at 687249-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 687249-close@bugs.debian.org
Subject: Bug#687249: fixed in localechooser 2.46
Date: Mon, 17 Sep 2012 05:47:47 +0000
Source: localechooser
Source-Version: 2.46

We believe that the bug you reported is fixed in the latest version of
localechooser, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687249@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated localechooser package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 17 Sep 2012 07:12:01 +0200
Source: localechooser
Binary: localechooser
Architecture: source i386
Version: 2.46
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 localechooser - choose language/country/locale (udeb)
Closes: 677931 687249
Changes: 
 localechooser (2.46) unstable; urgency=low
 .
   [ Samuel Thibault ]
   * Enable level 4 with network-console installs. Thanks Eugeniy Meshcheryakov
     for the report and initial patch. Closes: Bug#677931.
   * Call console-setup font-switch script to support level 2 on bare Linux
     console.
   * Do not skip non-ASCII country names by telling gettext they are encoded in
     UTF-8. Closes: Bug#687249.
Checksums-Sha1: 
 8675bab8a9c2cd81a253b886483dbf97037005f7 1676 localechooser_2.46.dsc
 95f96cde63fd59cde76a0ce7b3e83acf279a9c34 210018 localechooser_2.46.tar.gz
 e7f70e0a8575d3d50cee35bc58705cf639b35fb9 277450 localechooser_2.46_i386.udeb
Checksums-Sha256: 
 3fe64370acd891f1ca41c7267d86bceec3ca13b817bbeb5e88aef31a11e16b02 1676 localechooser_2.46.dsc
 7128d245e0c4cedd47bd3851a92249807a78ca1ab1bc0a370dde4271b6f5827b 210018 localechooser_2.46.tar.gz
 596f67824721e5f99fdaf25353cb0d5f95c74073b154f94d1debe7d9c8732a59 277450 localechooser_2.46_i386.udeb
Files: 
 d15e8b18572d3c56e0f07b674193ec1a 1676 debian-installer optional localechooser_2.46.dsc
 7c3ac2a67f86dfb4af3bb78d34c0adb0 210018 debian-installer optional localechooser_2.46.tar.gz
 82ef9d1a37dc57d27b0e677847f896d3 277450 debian-installer optional localechooser_2.46_i386.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUFa2wocvcCxNbiWoAQLPRw/8C0pzwk2dfJrBhWUx11PoThEvBkQu6Lkx
iFrU5xT52XoZT6/mNjD4/ACW8PCYkvqbD4GVs709neTRKdNf4c1k9VHwXaY+IvVE
q2QkD1lOnZOy2ocEKycu5nXWCr/BzZ0xxXTTgqljp0W5D1mO5vR/Yk+lpjQuMo/R
3aIDP1ozXdL6SiVPeomuyytDPk8JVdqualKRQLhUxQmM75nkzQNMlYl+ES5XfAz7
ldAXawFN17nDmzr1/l5JXzfLqR1dOpi2cQDaw0YaeQXCyrRxrpTaaE5pQm+EzNw4
6U4pO4798RTUBkuCAzLYj57AIIYa4Sw5AMWaa+CNB//dSYeKBt15HRxz8StO5Aap
y2P5ZJDRmOvhAt7VLaiSXHf+JVPYUeWHnBVO/EyJzW9kYdOr9s92vdqHyejPmBEE
Da6FXJX3A8Wy7G8079qP19wywU9RZyC2tHOC3vzY+ACOE3gGxUP/PArqOJnzaoRb
nd0vwQZd5NUayfGdlfibDQHR+b0atqIRQUAPKR/Tcl9590X8iznESl5d/LkBv5Jb
PxUxfpGowkdb8Xpg6O+P9RjW8VhCP4rHcsLYurc4mywRlOJ8nzZtOryrcG3JqzOo
RObbzRqLC7bX6WdFa9103DbtRaEHNRuT4tS26/tkMoiSpVasF3GJm3XXgEBCEQ67
59ws8eeoi6M=
=JudF
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#687249; Package localechooser. (Mon, 17 Sep 2012 07:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 17 Sep 2012 07:33:10 GMT) Full text and rfc822 format available.

Message #49 received at 687249@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Christian PERRIER <bubulle@debian.org>
Cc: 687249@bugs.debian.org, FERRINO Maxime <dagrut@yahoo.fr>
Subject: Re: Bug#687249: debian-installer: Missing time zone region
Date: Mon, 17 Sep 2012 09:25:15 +0200
Christian PERRIER, le Mon 17 Sep 2012 07:11:12 +0200, a écrit :
> Quoting Samuel Thibault (sthibault@debian.org):
> 
> > > Frankly speaking, I have no idea why, in 2004, we decided to drop
> > > choices with non ASCII characters. I guess this is because of some
> > > limitation of debconf or po-debconf at that time. Or maybe because we
> > > have interfaces where only "pure" ASCII is possible.
> > 
> > I guess gettext was perhaps just not ready for UTF-8 at the time? I had
> > to add [encoding: UTF-8] in the po template, and then it worked fine.
> 
> Nice catch.

Well, the error message told me to do so :)

Samuel



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 16 Oct 2012 07:26:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:47:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.